Bug 1201340 - openstack-service tries to restart neutron-ovs-cleanup.service
Summary: openstack-service tries to restart neutron-ovs-cleanup.service
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-utils
Version: Icehouse
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: Kilo
Assignee: Pádraig Brady
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 14:12 UTC by Miroslav Suchý
Modified: 2016-04-18 07:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 13:40:03 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2015-03-12 14:12:42 UTC
Description of problem:
"openstack-service restart" tries to restart neutron-ovs-cleanup.service which result with 50% chance to failure because neutron is running.
This only affects Icehouse release, and is fixed in Juno.

Version-Release number of selected component (if applicable):
openstack-utils-2014.1-3.el7.noarch

How reproducible:
50 % chance

Steps to Reproduce:
1. openstack-service restart

Actual results:
Command: ['sudo', 'neutron-rootwrap', '/etc/neutron/rootwrap.conf', 'ip', 'link', 'delete', 'qg-f4e81b26-a2']
Exit code: 2
Stdout: ''
Stderr: 'RTNETLINK answers: Operation not supported\n'
2015-03-12 13:39:29.199 10821 TRACE neutron Traceback (most recent call last):
2015-03-12 13:39:29.199 10821 TRACE neutron   File "/usr/bin/neutron-ovs-cleanup", line 10, in <module>
2015-03-12 13:39:29.199 10821 TRACE neutron     sys.exit(main())
2015-03-12 13:39:29.199 10821 TRACE neutron   File "/usr/lib/python2.7/site-packages/neutron/agent/ovs_cleanup_util.py", line 110, in main
2015-03-12 13:39:29.199 10821 TRACE neutron     delete_neutron_ports(ports, conf.AGENT.root_helper)
2015-03-12 13:39:29.199 10821 TRACE neutron   File "/usr/lib/python2.7/site-packages/neutron/agent/ovs_cleanup_util.py", line 74, in delete_neutron_ports
2015-03-12 13:39:29.199 10821 TRACE neutron     device.link.delete()
2015-03-12 13:39:29.199 10821 TRACE neutron   File "/usr/lib/python2.7/site-packages/neutron/agent/linux/ip_lib.py", line 254, in delete
2015-03-12 13:39:29.199 10821 TRACE neutron     self._as_root('delete', self.name)
2015-03-12 13:39:29.199 10821 TRACE neutron   File "/usr/lib/python2.7/site-packages/neutron/agent/linux/ip_lib.py", line 218, in _as_root
2015-03-12 13:39:29.199 10821 TRACE neutron     kwargs.get('use_root_namespace', False))
2015-03-12 13:39:29.199 10821 TRACE neutron   File "/usr/lib/python2.7/site-packages/neutron/agent/linux/ip_lib.py", line 71, in _as_root
2015-03-12 13:39:29.199 10821 TRACE neutron     namespace)
2015-03-12 13:39:29.199 10821 TRACE neutron   File "/usr/lib/python2.7/site-packages/neutron/agent/linux/ip_lib.py", line 82, in _execute
2015-03-12 13:39:29.199 10821 TRACE neutron     root_helper=root_helper)
2015-03-12 13:39:29.199 10821 TRACE neutron   File "/usr/lib/python2.7/site-packages/neutron/agent/linux/utils.py", line 82, in execute
2015-03-12 13:39:29.199 10821 TRACE neutron     raise RuntimeError(m)
2015-03-12 13:39:29.199 10821 TRACE neutron RuntimeError:
2015-03-12 13:39:29.199 10821 TRACE neutron Command: ['sudo', 'neutron-rootwrap', '/etc/neutron/rootwrap.conf', 'ip', 'link', 'delete', 'qg-f4e81b26-a2']

Comment 1 Lars Kellogg-Stedman 2015-03-12 14:25:48 UTC
Specifically, this is fixed in openstack-utils-2014.2-1.fc21.noarch, which explicitly excludes the *cleanup* services:

  enabled_services |
    egrep '^(openstack|neutron|quantum)' | grep -v "neutron-.*-cleanup" |
    ( [ "$svcprefix" ] && egrep "^(openstack-)?${svcprefix}" || cat )

We should just update Icehouse with this version of the openstack-utils package.

Comment 3 Pádraig Brady 2015-12-07 13:40:03 UTC
Fixed in juno


Note You need to log in before you can comment on or make changes to this bug.